@import url('https://fonts.googleapis.com/css2?family=Reddit+Mono:wght@200..900&display=swap');

@media (prefers-color-scheme: light) {
  :root {
    --background-color: #d0d0f0;
    --container-background-color: #b0b0c8;
    --input-color: #c0c0e0;
    --button-hover-color: #a0a0c0;
    --output-color: #9090a0;
    --text-color: #000000;
    --link-color: #444499;
    --border-color: #00000040;
    
    --text-weight: 500;
  }
}

@media (prefers-color-scheme: dark) {
  :root {
    --background-color: #202030;
    --container-background-color: #181820;
    --input-color: #303040;
    --button-hover-color: #404050;
    --output-color: #101018;
    --text-color: #ffffff;
    --link-color: #ccccff;
    --border-color: #ffffff40;
    
    --text-weight: 400;
  }
}

body {
  background-color: var(--background-color);
  color: var(--text-color);
  font-family: "Reddit Mono", monospace;
  
  padding: 0 16px;
  margin: 0;
}

h1 {
  font-weight: var(--text-weight);
  text-align: center;
  
  margin: 0 0 16px 0;
}

h2 {
  font-weight: var(--text-weight);
  text-align: center;
  
  margin: 0 0 16px 0;
}

p, label {
  font-weight: var(--text-weight);
  
  margin: 0;
}

a {
  color: var(--link-color);
}

input, button, select {
  color: var(--text-color);
  font-family: inherit;
  font-size: 16px;
  font-weight: var(--text-weight);
  background-color: var(--input-color);
  
  border: 2px solid var(--border-color);
  
  margin: 0;
  padding: 8px;
}

button:hover {
  background-color: var(--button-hover-color);
}

#output {
  font-weight: var(--text-weight);
  font-family: inherit;
  background-color: var(--output-color);
  
  margin: 0;
  padding: 8px;
  
  word-break: break-word;
  white-space: pre-wrap;
}

hr {
  border: 1px solid var(--border-color);
  
  margin: 16px 0;
}

.paragraph-content {
  text-align: justify;
}

.container {
  max-width: 600px;
  margin: 16px auto;
  padding: 16px;

  background-color: var(--container-background-color);
}

.flex {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.stretch-end {
  flex: 1;
  margin-left: 8px;
}

.config-menu {
  display: none;
}